org.eclipse.emf.cdo.server.db.mapping

## Interface IListMappingDeltaSupport

-     public interface IListMappingDeltaSupport

  Interface to complement `IListMapping` in order to provide list delta processing support.
  Since:
    2.0
  Author:
    Eike Stepper, Stefan Winkler

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processDelta(IDBStoreAccessor accessor, CDOID id, int branchId, int oldVersion, int newVersion, long created, CDOListFeatureDelta delta)` Process a set of CDOFeatureDeltas for a many-valued feature.

- - ### Method Detail

    - #### processDelta

          void processDelta(IDBStoreAccessor accessor,
                            CDOID id,
                            int branchId,
                            int oldVersion,
                            int newVersion,
                            long created,
                            CDOListFeatureDelta delta)

      Process a set of CDOFeatureDeltas for a many-valued feature.
      Parameters:
        `accessor` - the accessor to use
        `id` - the ID of the revision affected
        `oldVersion` - the original version of the revision
        `newVersion` - the new revision of the revision (after the change)
        `created` - the creation date for the new revision
        `delta` - the `CDOListFeatureDelta` which contains the list deltas.
      Since:
        4.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html